Subject: Re: [Bitcoin-development] HTTP REST API for bitcoind

From: Pieter Wuille <[email-masked]>
Date: Tue, 23 Jul 2013 11:56:02 +0200

On Tue, Jul 23, 2013 at 11:52 AM, Andy Parkins <[email-masked]> wrote:
>> There is actually no such index being maintained by default, and doing so
>> is an unnecessary burden IMHO (you need to enable -txindex since 0.8 to
>> get this). Of course, if enabled, it can be exposed.
>
> Wow.  I'm surprised at that.  How does a newly received transaction have its
> inputs verified then?  Multiple linear brute force searches of the block chain
> for every new transaction?  Or is it that transactions are only recorded if
> they were in a block, and just their presence indicates they're valid?

The block chain is not involved at all to verify transactions, it's
just a historical
record to serve to other nodes, and to do wallet rescans with.

For validation, a separate database with just unspent transaction
outputs is used (around 230 MB now).

-- 
Pieter